%define __find_provides %{nil}
%define name unimrcp-deps
%define devel %mklibname %{name} -d
%define libs %mklibname %{name}

Name: %{name}
Version: 1.1.2
Release: %mkrel 3

Summary: Media Resource Control Protocol Stack
License: Apache
Group: System/Libraries
Url: http://unimrcp.org


Source: http://unimrcp.googlecode.com/files/%{name}-%{version}.tar.gz

BuildRequires:  expat-devel
BuildRequires:  glib2-devel
BuildRequires:  libopenssl-devel
BuildRequires:  pkgconfig
BuildRequires:  autoconf
BuildRequires:  automake

%package -n %{libs}
Summary: UniMRCP depends Stack shared librarries
Group: System/Libraries
Provides: lib%{name} = %{version}-%{release}

%package -n %{devel}
Summary: UniMRCP depends Stack development
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Requires: lib%{name} = %{version}-%{release}, pkgconfig

%description
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from http://www.unimrcp.org/dependencies/

%description -n %{libs}
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from http://www.unimrcp.org/dependencies/

%description -n %{devel}
UniMRCP depends on a number of third party tools and libraries, which are
required and must be installed first. Alternatively, the original packages
of APR, APR-Util and Sofia-SIP libraries and patches for them
can be downloaded from http://www.unimrcp.org/dependencies/

%prep
%setup -q

%build
cd libs/apr
%configure2_5x --enable-threads \
--includedir=%{_datadir}/%{name}/include \
--libdir=%{_datadir}/%{name}/lib \
--bindir=%{_datadir}/%{name}/bin \
--datadir=%{_datadir}/%{name} \
--prefix=%{_datadir}/%{name}
%make

cd ../apr-util
%configure2_5x --with-apr=../apr \
--includedir=%{_datadir}/%{name}/include \
--libdir=%{_datadir}/%{name}/lib \
--bindir=%{_datadir}/%{name}/bin \
--datadir=%{_datadir}/%{name} \
--prefix=%{_datadir}/%{name}
%make

cd ../sofia-sip
libtoolize --automake --force
aclocal -I m4 --force
autoheader --force
autoconf --force
automake --gnu --force-missing --add-missing
%configure2_5x --disable-rpath --with-glib=no \
--includedir=%{_datadir}/%{name}/include \
--libdir=%{_datadir}/%{name}/lib \
--bindir=%{_datadir}/%{name}/bin \
--datadir=%{_datadir}/%{name} \
--prefix=%{_datadir}/%{name}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
install -d -m1775 %{buildroot}%{_datadir}/%{name}

cd libs/apr
%makeinstall_std
cd ../apr-util
%makeinstall_std
cd ../sofia-sip
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libs}
%defattr(-,root,root)
%{_datadir}/%{name}/lib
%{_mandir}/man1/addrinfo.1.xz
%{_mandir}/man1/localinfo.1.xz
%{_mandir}/man1/sip-date.1.xz
%{_mandir}/man1/sip-dig.1.xz
%{_mandir}/man1/sip-options.1.xz
%{_mandir}/man1/stunc.1.xz


%files -n %{devel}
%defattr(-,root,root)
%{_datadir}/%{name}/include
%{_datadir}/%{name}/build-1
%{_datadir}/%{name}/bin
%{_datadir}/%{name}/sofia-sip




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 519921
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 385066
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dlucio <dlucio> 1.1.2-1.mga3
+ Revision: 339832
- 1.1.2
- filelist fixed

* Mon Apr 02 2012 pterjan <pterjan> 1.1.0-2.mga2
+ Revision: 227807
- Rebuild after libexpat.la removal

* Sun Mar 25 2012 dlucio <dlucio> 1.1.0-1.mga2
+ Revision: 226306
- imported package unimrcp-deps


* Thu Feb 16 2012 Denis Silakov <dsilakov@mandriva.org> 1.1.0-1mdv2012.0
+ Revision: 775094
- Reformat description to shorten lines

  + zamir <zamir@mandriva.org>
    - search build error
    - clear provides

* Sun Aug 21 2011 zamir <zamir@mandriva.org> 1.1.0-0
+ Revision: 695980
- may be need expat source?.. try
- try again
- try again
- try fix script creating dir
- build new pkg version

* Mon Feb 28 2011 Funda Wang <fwang@mandriva.org> 1.0.2-3
+ Revision: 640872
- rebuild

* Sat Feb 12 2011 zamir <zamir@mandriva.org> 1.0.2-2
+ Revision: 637390
- change depend
- fixed requires

* Fri Feb 11 2011 zamir <zamir@mandriva.org> 1.0.2-1
+ Revision: 637315
- changed provide information
- changed provide information

* Fri Feb 11 2011 zamir <zamir@mandriva.org> 1.0.2-0
+ Revision: 637269
- first build
- create unimrcp-deps

